print.tbl_df {dplyr} | R Documentation

## Tools for describing matrices

### Description

Tools for describing matrices

### Usage

    ## S3 method for class 'tbl_df'
    print(x, ..., n = NULL, width = NULL)

    ## S3 method for class 'tbl_dt'
    print(x, ..., n = NULL, width = NULL)

    ## S3 method for class 'tbl_sql'
    print(x, ..., n = NULL, width = NULL)

    dim_desc(x)

    trunc_mat(x, n = NULL, width = NULL)

### Arguments

`x` | Object to show.
`n` | Number of rows to show. If `NULL`, the default, will print all rows if less than option `dplyr.print_max`. Otherwise, will print `dplyr.print_min`
`width` | Width of text output to generate. This defaults to NULL, which means use `getOption("width")` and only display the columns that fit on one screen. You can also set `options(dplyr.width = Inf)` to override this default and always print all columns.

### Examples

    dim_desc(mtcars)
    trunc_mat(mtcars)

    print(tbl_df(mtcars))
    print(tbl_df(mtcars), n = 1)
    print(tbl_df(mtcars), n = 3)
    print(tbl_df(mtcars), n = 100)

[Package dplyr version 0.4.3 Index]